<?php
include_once("../MyConfig.php"); 

class MyCacheClassement
{
	function MyCacheClassement($codecourse, $bCache)
	{
		$bdd = new MyConfig(true);

		if ($bdd->GetActiveManche($codecourse) == 1)
		{
			$this->DoClassement($bdd, $bCache, $codecourse, 1);
		}
		else
		{
			$this->DoClassement($bdd, $bCache, $codecourse, 2);
			$this->DoClassement($bdd, $bCache, $codecourse, 9);
		}
	}

	function DoClassement($bdd, $bCache, $codecourse, $activeManche)
	{
		if ($bCache)
			ob_start();
		
		$this->Classement($bdd, $codecourse, $activeManche);
		
		if ($bCache)
		{
			$in = array("", "", "", "", "", "", "", "","", "", "", "", "", "", "", "", "", "", "", "", "");   
			$out = array("&egrave;","&eacute;","&ecric;","&ccedil;","&ocirc;","&icirc;","&acirc;","&agrave;","&Egrave;","&Eacute;","&Ecric;","&Ccedil;","&Ocirc;","&Icirc;","&Acirc;","&Agrave;","&Iuml;","&Auml;","&Euml;", "&Ouml;", "&Uuml;");
			
			$infoManche = '';
			if ($activeManche != 1)
				$infoManche = '.'.$activeManche;

			file_put_contents($_SERVER['DOCUMENT_ROOT'].$bdd->m_directory."cache/classement.".$codecourse.$infoManche.".cache.html", str_replace($in,$out,ob_get_contents()."@@END@@"));
			
			ob_end_clean();
		}
	}

	function Classement($bdd, $codecourse, $activeManche)
	{
		$colClt = 'Clt';
		$colTps = 'Tps';
		
		switch($activeManche)
		{
			case 1:
			$colClt = 'Clt1';
			$colTps = 'Tps1';
			break;
	
			case 2:
			$colClt = 'Clt2';
			$colTps = 'Tps2';
			break;
			
			default:
			break;
		}
		
		$sql  = "Update ".$bdd->m_prefix."resultat Set ".$colClt."_etat = 1 ";
		$sql .= "Where Code_course = ".$codecourse." And ".$colTps." > 0 ";
		$result = mysql_query($sql, $bdd->m_link) or die ("Erreur Update : ".$sql);

		$sql  = "Update ".$bdd->m_prefix."resultat Set ".$colClt."_etat = 0 ";
		$sql .= "Where Code_course = ".$codecourse." And ".$colTps." <= 0 ";
		$result = mysql_query($sql, $bdd->m_link) or die ("Erreur Update : ".$sql);
	
		$sql  = "Select * From ".$bdd->m_prefix."resultat ";
		$sql .= "Where Code_course = ".$codecourse;
		$sql .= " And ".$colTps." != 0 ";
		$sql .= " Order By ".$colClt."_etat Desc, ".$colClt.", Ordre desc";
		$result = mysql_query($sql, $bdd->m_link) or die ("Erreur Select : ".$sql);
		
		echo "<table class='classement'>\n";
		
		// Entete ...
		echo "<tr class='entete'>";
		if ($activeManche == 1)
		{
			echo "<td class='clt1'>Clt M1</td>";
			echo "<td class='dossard'>Dos.</td>";
			echo "<td class='identite'>Identit&eacute;</td>";
			echo "<td class='sexe'>S.</td>";
			echo "<td class='categ'>Cat.</td>";
			echo "<td class='nation'>Nation</td>";
			echo "<td class='comite'>Cr</td>";
			echo "<td class='club'>Club</td>";
			echo "<td class='equipe'>E.S.F.</td>";
			
			echo "<td class='tps1'>Tps.M1</td>";
			echo "<td class='ecart1'>Ec.M1</td>";
			echo "<td class='medaille'>M&eacute;daille</td>";
		}
		else
		{
			if ($activeManche == 9)
				echo "<td class='clt'><img hspace='1' width='10' height='10' src='./img/arrow_down.gif'>Clt</td>";
			else
				echo "<td class='clt'><a href='#' onclick=\"onChangeOrderClassement(9);\">Clt</a></td>";

			echo "<td class='dossard'>Dos</td>";
			echo "<td class='identite'>Identit&eacute;</td>";
			echo "<td class='sexe'>S.</td>";
			echo "<td class='categ'>Cat.</td>";
			echo "<td class='nation'>Nation</td>";
			echo "<td class='comite'>Cr</td>";
			echo "<td class='club'>Club</td>";
			echo "<td class='equipe'>E.S.F.</td>";
									
			echo "<td class='tps1'>Tps.M1</td>";
			echo "<td class='ecart1'>Ec.M1</td>";
			echo "<td class='clt1'>C.M1</td>";
			echo "<td class='medaille'>M&eacute;daille</td>";
			
			if ($activeManche == 2)
			{
				echo "<td class='tps2'><img hspace='1' width='10' height='10' src='./img/arrow_down.gif'>Tps.M2</td>";
				echo "<td class='ecart2'>Ec.M2</td>";
				echo "<td class='clt2'><img hspace='1' width='10' height='10' src='./img/arrow_down.gif'>C.M2</td>";
			}
			else
			{
				echo "<td class='tps2'><a href='#' onclick=\"onChangeOrderClassement(2);\">Tps.M2</a></td>";
				echo "<td class='ecart2'><a href='#' onclick=\"onChangeOrderClassement(2);\">Ec.M2</a></td>";
				echo "<td class='clt2'><a href='#' onclick=\"onChangeOrderClassement(2);\">C.M2</a></td>";
			}
			
			if ($activeManche == 9)
			{
				echo "<td class='tps'><img hspace='1' width='10' height='10' src='./img/arrow_down.gif'>Total</td>";
				echo "<td class='ecart'>Ecart</td>";
			}
			else
			{
				echo "<td class='tps'><a href='#' onclick=\"onChangeOrderClassement(9);\">Total</a></td>";
				echo "<td class='ecart'><a href='#' onclick=\"onChangeOrderClassement(9);\">Ecart</a></td>";
			}
		}
		echo "</tr>\n";
		
		$row = 0;
		$result = mysql_query($sql, $bdd->m_link) or die ("Erreur Classement : ".$sql);
		$max = mysql_num_rows($result);
		
	 	while ($row < $max)
		{
			$clt = mysql_result($result,$row,'Clt');
			if ($clt < 0) $clt = "";
			
			$dossard = mysql_result($result,$row,'Dossard');
			$identite = mysql_result($result,$row,'Identite');
			$sexe = mysql_result($result,$row,'Sexe');
			$categ = mysql_result($result,$row,'Categ');
			$nation = mysql_result($result,$row,'Nation');
			$comite = mysql_result($result,$row,'Comite');
			$club = mysql_result($result,$row,'Club');
			$equipe = mysql_result($result,$row,'Equipe');
			$medaille1 = mysql_result($result,$row,'Medaille1');
			
			$equipe = str_replace('ESF ','',$equipe);
			$equipe = str_replace('(LE)','',$equipe);
			$equipe = str_replace('(LA)','',$equipe);
			$equipe = str_replace('(L\')','',$equipe);
			$equipe = str_replace('(LES)','',$equipe);

			if(strlen($club)>14)
				$club = substr($club,0,14).".";	
			if(strlen($identite)>18)
				$identite = substr($identite,0,18).".";	
			if(strlen($equipe)>14)
				$equipe = substr($equipe,0,14).".";	
			
			$tps1 = mysql_result($result,$row,'Tps1_info');
			$ecart1 = mysql_result($result,$row,'Ecart1');
			$clt1 = mysql_result($result,$row,'Clt1');
			if ($clt1 < 0) $clt1 = "";
			if ($tps1 == 'Nt') $tps1 = '';
			
			$tps2 = mysql_result($result,$row,'Tps2_info');
			$ecart2 = mysql_result($result,$row,'Ecart2');
			$clt2 = mysql_result($result,$row,'Clt2');
			if ($clt2 < 0) $clt2 = "";
			if ($tps2 == 'Nt') $tps2 = '';
			
			$tps = mysql_result($result,$row,'Tps_info');
			$ecart = mysql_result($result,$row,'Ecart');
			if ($tps == 'Nt') $tps = '';
			
			if ($row%2)
				echo "<tr class='impaire'>";
			else 
				echo "<tr class='paire'>";
				
			if ($activeManche == 1)
			{
				echo "<td class='clt1'>".$clt1."</td>";
				echo "<td class='dossard'>".$dossard."</td>";
				echo "<td class='identite'>".$identite."</td>";
				echo "<td class='sexe'>".$sexe."</td>";
				echo "<td class='categ'>".$categ."</td>";
				echo "<td class='nation'>".$nation."</td>";
				echo "<td class='comite'>".$comite."</td>";
				echo "<td class='club'>".$club."</td>";
				echo "<td class='equipe'>".$equipe."</td>";
				
				echo "<td class='tps1'>".$tps1."</td>";
				echo "<td class='ecart1'>".$ecart1."</td>";
				echo "<td class='medaille'>".$medaille1."</td>";
			}
			else
			{
				echo "<td class='clt'>".$clt."</td>";
				echo "<td class='dossard'>".$dossard."</td>";
				echo "<td class='identite'>".$identite."</td>";
				echo "<td class='sexe'>".$sexe."</td>";
				echo "<td class='categ'>".$categ."</td>";
				echo "<td class='nation'>".$nation."</td>";
				echo "<td class='comite'>".$comite."</td>";
				echo "<td class='club'>".$club."</td>";
				echo "<td class='equipe'>".$equipe."</td>";
				
				echo "<td class='tps1'>".$tps1."</td>";
				echo "<td class='ecart1'>".$ecart1."</td>";
				echo "<td class='clt1'>".$clt1."</td>";
				echo "<td class='medaille'>".$medaille1."</td>";
				
				echo "<td class='tps2'>".$tps2."</td>";
				echo "<td class='ecart2'>".$ecart2."</td>";
				echo "<td class='clt2'>".$clt2."</td>";
				
				echo "<td class='tps'>".$tps."</td>";
				echo "<td class='ecart'>".$ecart."</td>";
			}	
			echo "</tr>\n";
			++$row;
		}	
		
		$rowEmpty = 15;
 	 	while ($row < $rowEmpty)
		{
			if ($row%2)
				echo "<tr class='impaire'>";
			else 
				echo "<tr class='paire'>";
				
			if ($activeManche == 1)
			{
				echo "<td class='clt1'>&nbsp;</td>";
				echo "<td class='dossard'></td>";
				echo "<td class='identite'></td>";
				echo "<td class='sexe'></td>";
				echo "<td class='categ'></td>";
				echo "<td class='nation'></td>";
				echo "<td class='comite'></td>";
				echo "<td class='club'></td>";
				echo "<td class='equipe'></td>";
				
				echo "<td class='tps1'></td>";
				echo "<td class='ecart1'></td>";
				echo "<td class='medaille'></td>";
			}
			else
			{
				echo "<td class='clt'>&nbsp;</td>";
				echo "<td class='dossard'></td>";
				echo "<td class='identite'></td>";
				echo "<td class='sexe'></td>";
				echo "<td class='categ'></td>";
				echo "<td class='nation'></td>";
				echo "<td class='comite'></td>";
				echo "<td class='club'></td>";
				echo "<td class='equipe'></td>";
								
				echo "<td class='tps1'></td>";
				echo "<td class='ecart1'></td>";
				echo "<td class='clt1'></td>";
				echo "<td class='medaille'></td>";
				
				echo "<td class='tps2'></td>";
				echo "<td class='ecart2'></td>";
				echo "<td class='clt2'></td>";
				
				echo "<td class='tps'></td>";
				echo "<td class='ecart'></td>";
			}
			
			echo "</tr>\n";
			++$row;
		}
		
		echo "</table>";
	}
}
?>
