<?php
include_once("MyConfig.php");

$code = 0;	// Numro de Course par dfaut ...
if (isset($_GET['code']))
	$code = (int) $_GET['code'];

$type = 'FFS';	// Type de Course ...
if (isset($_GET['type']))
	$type = $_GET['type'];

$mode = 1;		// 1 = Direct, 2 = Classement, 3 = Liste de Dpart ...
if (isset($_GET['mode']))
	$mode = (int) $_GET['mode'];

$mobile = 0;
if (isset($_GET['mobile']))
	$mobile = 1;
	
$bdd = new MyConfig(false);
$manche = $bdd->GetActiveManche($code);

if($mobile == 0)
{
	echo '<html xmlns="http://www.w3.org/1999/xhtml" lang="fr">';
	echo '<head>';
	echo '<title>Vivez les courses en direct</title>';
	echo '<link rel="stylesheet" type="text/css" media="screen,projection,print" href="css/direct'.$type.$manche.'.css?100409" />';
	echo '<script language="JavaScript" type="text/javascript" src="direct.js"></script>';
	echo '</head>';
}
else
{
	echo '<!DOCTYPE html>';
	echo '<html>';
    	echo '<head>';
        	echo '<meta charset="utf-8" />';
        	echo '<meta name="viewport" content="width=device-width, initial-scale=1" />';
        	echo '<title>';
        	echo '</title>';
        	echo '<link rel="stylesheet" href="css/jquery.mobile-1.0.1.min.css" />';
        	echo '<style>';
            	echo '/* App custom styles */';
        	echo '</style>';
        	echo '<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.6.4/jquery.min.js">';
        	echo '</script>';
        	echo '<script src="http://code.jquery.com/mobile/1.0.1/jquery.mobile-1.0.1.min.js">';
        	echo '</script>';
    	echo '</head>';
}

switch($mode)
{
	case 2: // Classement 
	echo "<body onLoad='ChargerCourseClassement(".$code.");'>";
	break;
	
	case 3: // Liste de Dpart 
	echo "<body onLoad='ChargerCourseListeDepart(".$code.");'>";
	break;
	
	default:
	echo "<body onLoad='ChargerCourseDirect(".$code.");'>";
	$mode = 1;
	break;
}
if($mobile == 1)
{
    	echo '>';
        	echo '<div data-role="page" id="page1">';
            	echo '<div data-theme="a" data-role="header">';
                	echo '<h3>';
						showInfoCourse($code);
                	echo '</h3>';
            	echo '</div>';
}

if($mobile == 0)
{
	showInfoCourse($code);
}

{
	echo "<br/>";
	echo "<table class=\"menu\" width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">";
	echo "<tr>";
	echo	"<td class='directgauche'></td>";

	if ($mode == 1)
		echo "<td class='direct' id='ongletactif'><img src='img/fleche.gif' border='0' alt=''><a class='Lien' href='direct.php?code=".$code."&type=".$type."&mode=1' onMouseOver='AfficheEtat(\"le Direct\");return true;' onMouseOut='EffaceEtat();'>Le Direct</a><img src='img/fleche_inversee.gif' border='0' alt=''></td>";
	else
		echo "<td class='direct'><a class='Lien' href='direct.php?code=".$code."&type=".$type."&mode=1' onMouseOver='AfficheEtat(\"le Direct\");return true;' onMouseOut='EffaceEtat();'>Le Direct</a></td>";

	if ($mode == 2)
		echo "<td class='classement' id='ongletactif'><img src='img/fleche.gif' border='0' alt=''><a class='lien' href='direct.php?code=".$code."&type=".$type."&mode=2' onMouseOver='AfficheEtat(\"le Classement\");return true;' onMouseOut='EffaceEtat();'>Le Classement</a><img src='img/fleche_inversee.gif' border='0' alt=''></td>";
	else
		echo "<td class='classement'><a class='lien' href='direct.php?code=".$code."&type=".$type."&mode=2' onMouseOver='AfficheEtat(\"Le classement\");return true;' onMouseOut='EffaceEtat();'>Le Classement</a></td>";

	if ($mode == 3)
		echo	 "<td class='listedepart' id='ongletactif'><img src='img/fleche.gif' border='0' alt=''><a class='lien' href='direct.php?code=".$code."&type=".$type."&mode=3' onMouseOver='AfficheEtat(\"la liste de depart\");return true;' onMouseOut='EffaceEtat();'>La liste de D&eacute;part</a><img src='img/fleche_inversee.gif' border='0' alt=''></td>";
	else
		echo	 "<td class='listedepart'><a class='lien' href='direct.php?code=".$code."&type=".$type."&mode=3' onMouseOver='AfficheEtat(\"la liste de D&eacute;part\");return true;' onMouseOut='EffaceEtat();'>La liste de D&eacute;part</a></td>";

	echo	 "<td class='directclassement'></td>";
	echo	 "<td class='vide'>&nbsp;</td>";
	echo "</tr>";
	echo "<tr><td class=\"barredirect\" colspan=\"6\"></td></tr>";
	echo "</table>";

	switch($mode)
	{
		case 2:
			echo "<div id='ajax_classement' class='ajax_classement'>Chargement en cours ...</div>";
			break;
		
		case 3:
			echo "<div id='ajax_listedepart' class='ajax_listedepart'>Chargement en cours ...</div>";
			break;
		
		default:
			echo "<div id='ajax_direct' class='ajax_direct'>Chargement en cours ...</div>";
			break;
	}
	echo "<div id='ajax_edition' class='ajax_edition'></div>";
}
/*else
{
			echo'<div data-role="content">';
                echo'<div data-role="navbar" data-iconpos="left">';
                    echo'<ul>';
                        echo'<li>';
                            echo'<a href="#page1" data-theme="a" data-icon="">';
                                echo'Direct';
                            echo'</a>';
                        echo'</li>';
                        echo'<li>';
                            echo'<a href="#page1" data-theme="a" data-icon="">';
                                echo'Classement';
                            echo'</a>';
                        echo'</li>';
                        echo'<li>';
                            echo'<a href="#page1" data-theme="a" data-icon="">';
                                echo'Liste dpart';
                            echo'</a>';
                        echo'</li>';
                    echo'</ul>';
                echo'</div>';
            echo'</div>';
        echo'</div>';
        echo'<script>';
		echo'</script>';
    echo'</body>';
echo'</html>';

}*/

function showInfoCourse($code_course)
{
	GLOBAL $mobile;
	
	$bdd = new MyConfig(true);
	
	$sql  = "Select Code_course, Libelle, Date_format(Date,'%d/%m/%Y') Date_course From ".$bdd->m_prefix."course ";
	$sql .= "Where Code_course = $code_course ";
	
	$result = mysql_query($sql, $bdd->m_link) or die ("Erreur Select : ".$sql);
	$num_results = mysql_num_rows($result);
	if ($num_results > 0)
	{
		$row = mysql_fetch_array($result);
		$date_course = $row['Date_course'];
		$libelle = $row['Libelle'];
		
		if($mobile == 0)
			echo "<div id='titrecourse' class='titrecourse'>$libelle (Le $date_course)</div>";
		else
			echo "$libelle (Le $date_course)";
	}
}
?>

<script type="text/javascript">
var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
</script>
<script type="text/javascript">
try {
var pageTracker = _gat._getTracker("UA-2491070-9");
pageTracker._trackPageview();
} catch(err) {}</script>

</body>
</html>
