// Variables Globales 
var timerDirectSec = 10000;		    // Timer en millisecondes pour le rafraichissement du "Direct" 
var timerClassementSec = 3600000;	// Timer en millisecondes pour le rafraichissement du "Classement" 
var timerListeDepartSec = 3600000;	// Timer en millisecondes pour le rafraichissement de la "Liste de Dpart"
var orderClassementManche = -1;     // Variable pour le Tri Manche 2 ou Temps Total

var codeCourse = 0;					// Code de la Course
var timerSec = 6000;				// Timer en millisecondes pour le rafraichissement de la Page 
var modeGestion = 0;				// 0 => Onglet Direct, 1 => Onglet Classement , 2 => Onglet Liste de Dpart
var modeParse;                      // 'M' = Message, 'D' = Depart, 'E' = En Course, 'A' = Arrivee
var rowParse;                       
var xmlhttp = null; 

var lastDosEnCourse = -1;
var lastDosArrivee = -1;

var firstDosEnCourse = -1;
var firstDosArrivee = -1;

var cssSurbrillance;
var cssSurbrillanceHot = " hot ";

var modeMobile = 0;

function AfficheEtat(msgStr) 
{ 
  window.status = msgStr;
}

function EffaceEtat() 
{
	window.status = "";
}

function ChargerCourseDirect(code,mobile)
{ 		 
	modeMobile = mobile;
	codeCourse = code;
	modeGestion = 0;		  
	timerSec = timerDirectSec;
	
	GestionCourse();	 
}

function ChargerCourseClassement(code,mobile)
{ 		   
	modeMobile = mobile;
	codeCourse = code;		
	modeGestion = 1;		  
	timerSec = timerClassementSec;

	GestionCourse();
}	
					 
function ChargerCourseListeDepart(code,mobile)
{ 		   
	modeMobile = mobile;
	codeCourse = code;		
	modeGestion = 2;		  
	timerSec = timerClassementSec;

	GestionCourse();
}	

function MajCompteur()
{ 
	document.getElementById("nb_secondes_restantes").innerHTML = document.getElementById("nb_secondes_restantes").innerHTML - 1;
	if(document.getElementById("nb_secondes_restantes").innerHTML > 1)
        setTimeout("MajCompteur()",1000);
    else
    	document.getElementById("pluriel_secondes_restantes").innerHTML = "&nbsp;";
}

function GestionCourse()
{ 
	switch(modeGestion)
	{
		case 0:
		envoiRequeteDirect();
		break;
		
		case 1:
		envoiRequeteClassement();
		break;
		
		case 2:
		envoiRequeteListeDepart();
		break;
		
		default:
		modeGestion = 0;
		envoiRequeteDirect();
		break;
	}
}

function createXMLHttRequest()
{
	if (window.XMLHttpRequest) 
	{
		xmlhttp = new XMLHttpRequest();
		return;
	}
	
	if (window.ActiveXObject) 
	{
		// code spcifique  Internet Explorer (ActiveXObject)
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		return;
	}
}
//
// Direct
//

function envoiRequeteDirect()
{	 
	information = 'cache/direct.'+codeCourse+'.cache.html';

	createXMLHttRequest();
	
	if (xmlhttp)
	{
		xmlhttp.onreadystatechange = receptionReponseDirect;
		xmlhttp.open("POST",information,true);
		xmlhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");  
		xmlhttp.send("");
	}
}

function receptionReponseDirect()
{
	// if xmlhttp shows "loaded"
	if (xmlhttp.readyState==4)
	{
		// if "OK"
		if (xmlhttp.status==200)
		{
			// traitement des informations renvoyes par le serveur
			var rc = xmlhttp.responseText.lastIndexOf("@@END@@");
			if (rc != -1)
			{
			    var csvData = xmlhttp.responseText.substring(0,rc);
			    var htmlData = '';

			    var exp = new RegExp("[\r]+","g");
			    var tabLigne = csvData.split(exp);
		        if (tabLigne != null)
		        {
		            modeParse = '';
		            rowParse = 0;
					cssSurbrillance = "";
					
		            for (var i=0;i<tabLigne.length;i++)
		            {
                        htmlData += htmlRowDirect(tabLigne[i]);
                    }
                    if (modeParse == 'A')
                        htmlData += "</table>"; // Fermeture table arrivee ...
						
					lastDosEnCourse = firstDosEnCourse;
					lastDosArrivee = firstDosArrivee;
		        }

				if(modeMobile == 1)
				{
					htmlData = htmlData.replace("<table class='depart' cellpadding=0 cellspacing=0>",'<div class="resultscontent"><div class="ui-bar-a">&nbsp;&nbsp;Au d&eacute;part</div><table width="100%" cellspacing="1" id="depart" class="result"><tr class="tableheadresult ui-li-divider ui-bar-c">');
					htmlData = htmlData.replace("<tr class='entete'>",'');
					htmlData = htmlData.replace("</table>","</table></div>");

					htmlData = htmlData.replace("<table class='encourse' cellpadding=0 cellspacing=0>",'<div class="resultscontent"><div class="ui-bar-a" style="text-align:center;">En course</div><table width="100%" cellspacing="1" id="encourse" class="result"><tr class="tableheadresult ui-li-divider ui-bar-c">');
					htmlData = htmlData.replace("<tr class='entete'>",'');
					htmlData = htmlData.replace("</table>","</table></div>");

					htmlData = htmlData.replace("<table class='arrivee' cellpadding=0 cellspacing=0>",'<div class="resultscontent"><div class="ui-bar-a" style="text-align:right;">Arriv&eacute;e&nbsp;&nbsp;</div><table width="100%" cellspacing="1" id="arrivee" class="result"><tr class="tableheadresult ui-li-divider ui-bar-c">');
					htmlData = htmlData.replace("<tr class='entete'>",'');
					htmlData = htmlData.replace("</table>","</table></div>");
					
					htmlData = htmlData.replace("<p></p>",'');
					
					htmlData = htmlData.replace("<div class='message'><span>Info course : </span><marquee onMouseOver='stop()' onMouseOut='start()'>","<div class='message ui-bar-e'><marquee onMouseOut='start()'>");
					}
				
				document.getElementById("ajax_direct").innerHTML = htmlData;
			}
		} 
		envoiRequeteEdition();
	}
}

function htmlRowDirect(rowData)
{
    if (rowData.length < 0)
        return;

    var mode = rowData.charAt(0);
	switch(mode)
	{
        case 'M':    
        return htmlRowDirectMessage(rowData);
        
        case 'D':    
        return htmlRowDirectDepart(rowData);

        case 'E':    
        return htmlRowDirectEnCourse(rowData);

        case 'A':    
        return htmlRowDirectArrivee(rowData);
        
        default:
        break;
    }

    return '';
}

function getActiveManche()
{
    var manche = parseInt(codeCourse/100000) % 10;
    
    switch(manche)
    {
        case 0:
        case 1:
        return 1;
        
        case 2:
        return 2;
        
        default:
        break;
    }
    
    return 9;
}

function getFieldDirect(rowData, numField)
{
    var lg = rowData.length;
    var curField = 0;
    var field = '';
    var cD;

    for (var i=0;i<lg;i++)
    {
        cD = rowData.charAt(i);
        if (cD == '\t')
        {
            if (curField == numField)
            {
                if(field == '')
                    field = '&nbsp;';
                return field;
            }
                
            ++curField;
            field = '';
        }
        else
        {
            field += cD;
        }
    }
    
    if(field == '')
        field = '&nbsp;';

    if (curField == numField)
        return field;
        
    return '';
}

function htmlRowDirectMessage(rowData)
{
    modeParse = 'M';
    
    var msgTxt = "<div class='message'><span>Info course : </span><marquee onMouseOver='stop()' onMouseOut='start()'>"+getFieldDirect(rowData, 1)+"</marquee></div><p></p>\n";
    
    var trMedaille = "";
    var trPourcentage = "";
    var trTemps = "";
  
    var medaille;
    for (var i=0;i<=8;i++)
    {
        medaille = getFieldDirect(rowData, 6+(3*i));
        if (medaille == "") break; 
        if (medaille == "&nbsp;") break;
            
        trMedaille += "<th class='ouvreur_medaille'>";
        trMedaille += medaille;
        trMedaille += "</th>";

        trPourcentage += "<td class='ouvreur_pourcentage'>";
        trPourcentage += getFieldDirect(rowData, 6+(3*i)+1);
        trPourcentage += "</td>";
        
        trTemps += "<td class='ouvreur_pourcentage'>";
        trTemps += getFieldDirect(rowData, 6+(3*i)+2);
        trTemps += "</td>";
    }
    
    if (trMedaille != "")
    {
        msgTxt += "<table class='info_ouverture'>";
        msgTxt += "<tr>";
        msgTxt += "<th class='ouvreur_identite'>Nom</th>";
        msgTxt += "<th class='ouvreur_handicap'>Handicap</th>";
        msgTxt += "<th class='ouvreur_temps_realise'>Tps R&eacute;alis&eacute;</th>";
        msgTxt += "<th class='ouvreur_temps_base'>Tps Base</th>";
        msgTxt += "</tr>";
        msgTxt += "<tr>";
        msgTxt += "<td class='ouvreur_identite'>"+getFieldDirect(rowData, 2)+"</td>";
        msgTxt += "<td class='ouvreur_handicap'>"+getFieldDirect(rowData, 3)+"</td>";
        msgTxt += "<td class='ouvreur_temps_realise'>"+getFieldDirect(rowData, 4)+"</td>";
        msgTxt += "<td class='ouvreur_temps_base'>"+getFieldDirect(rowData, 5)+"</td>";
        msgTxt += "</tr>";
        msgTxt += "</table>\n";

        msgTxt += "<table class='info_medaille'>";
        msgTxt += "<tr>"+trMedaille+"</tr>";
        msgTxt += "<tr>"+trPourcentage+"</tr>";
        msgTxt += "<tr>"+trTemps+"</tr>";
        msgTxt += "</table>\n";
     }
    
    return msgTxt;
}

function htmlRowDirectCommun(rowData)
{
    // 0 = Mode (M=Message, D=Depart, E=En Course, A=Arrivee)
    // 1 = Dossard
    // 2 = Identite
    // 3 = Sexe
    // 4 = Categ
    // 5 = Nation
    // 6 = Comite
    // 7 = Club
    // 8 = Equipe

    var htmlData = '';

    if (rowParse == 0)
    {
        switch(modeParse)
        {
            case 'D':
            htmlData += "<td class='label'>Au d&eacute;part</td>\n";
            break;

            case 'E':
            htmlData += "<td class='label'>En course</td>\n";
            break;

            case 'A':
            htmlData += "<td class='label'>A l'arriv&eacute;e</td>\n";
            break;
            
            default:
            htmlData += "<td class='label'>&nbsp;</td>\n";
            break;
        }
    }
    else
        htmlData += "<td class='vide'>&nbsp;</td>\n";

	if(modeParse == 'D')
	{
		// annule le hot quand le temps est annul
		if(lastDosEnCourse != -1)
			if( lastDosEnCourse == getFieldDirect(rowData, 1) )
				lastDosEnCourse = -1;
	
		if(lastDosArrivee != -1)
			if( lastDosArrivee == getFieldDirect(rowData, 1) )
				lastDosArrivee = -1;
	}
	if(modeParse == 'E')
	{
		if( firstDosEnCourse == -1)
			 firstDosEnCourse = getFieldDirect(rowData, 1);

		 if(lastDosEnCourse != -1)
			if( lastDosEnCourse == getFieldDirect(rowData, 1) )
				cssSurbrillance = "";
				
		// annule le hot quand l'arrvie est annul
		if(lastDosArrivee != -1)
			if( lastDosArrivee == getFieldDirect(rowData, 1) )
				lastDosArrivee = -1;
	}
		
	if(modeParse == 'A')
	{
		if( firstDosArrivee == -1)
			 firstDosArrivee = getFieldDirect(rowData, 1);

		 if(lastDosArrivee != -1)
			if( lastDosArrivee == getFieldDirect(rowData, 1) )
				cssSurbrillance = "";
				
		if(getFieldDirect(rowData, 1) == "&nbsp;")
			cssSurbrillance = "";
	}

    htmlData += "<td class='dossard"+cssSurbrillance+"'>"+getFieldDirect(rowData, 1)+"</td>\n";
	htmlData += "<td class='identite"+cssSurbrillance+"'>"+getFieldDirect(rowData, 2)+"</td>\n";
    htmlData += "<td class='sexe"+cssSurbrillance+"'>"+getFieldDirect(rowData, 3)+"</td>\n";
    htmlData += "<td class='categ"+cssSurbrillance+"'>"+getFieldDirect(rowData, 4)+"</td>\n";
    htmlData += "<td class='nation"+cssSurbrillance+"'>"+getFieldDirect(rowData, 5)+"</td>\n";
    htmlData += "<td class='comite"+cssSurbrillance+"'>"+getFieldDirect(rowData, 6)+"</td>\n";
    htmlData += "<td class='club"+cssSurbrillance+"'>"+getFieldDirect(rowData, 7)+"</td>\n";
    htmlData += "<td class='equipe"+cssSurbrillance+"'>"+getFieldDirect(rowData, 8)+"</td>\n";
    
    return htmlData;
}

function htmlRowDirectManche1(rowData)
{
    //  9 = Inter1
    // 10 = EcartInter1
    // 11 = Inter2
    // 12 = EcartInter2
    // 13 = Tps1 (ou Temps tournant)
    // 14 = Medaille1
    // 15 = Ecart1
    // 16 = Clt1
    // 17 = Cltc1
    
    var htmlData = '';

    htmlData += "<td class='inter1"+cssSurbrillance+"'>"+getFieldDirect(rowData, 9)+"</td>\n";
    htmlData += "<td class='ecart_inter1"+cssSurbrillance+"'>"+getFieldDirect(rowData, 10)+"</td>\n";
    htmlData += "<td class='inter2"+cssSurbrillance+"'>"+getFieldDirect(rowData, 11)+"</td>\n";
    htmlData += "<td class='ecart_inter2"+cssSurbrillance+"'>"+getFieldDirect(rowData, 12)+"</td>\n";
    htmlData += "<td class='tps1"+cssSurbrillance+"'>"+getFieldDirect(rowData, 13)+"</td>\n";
    htmlData += "<td class='medaille1"+cssSurbrillance+"'>"+getFieldDirect(rowData, 14)+"</td>\n";
    htmlData += "<td class='ecart1"+cssSurbrillance+"'>"+getFieldDirect(rowData, 15)+"</td>\n";
    htmlData += "<td class='clt1"+cssSurbrillance+"'>"+getFieldDirect(rowData, 16)+"</td>\n";
    htmlData += "<td class='cltc1"+cssSurbrillance+"'>"+getFieldDirect(rowData, 17)+"</td>\n";
    
    return htmlData;
}

function htmlRowDirectLabel()
{
    if (getActiveManche() == 1)
        return htmlRowDirectLabelManche1();
    else
        return htmlRowDirectLabelManche2();
}

function htmlRowDirectLabelManche1()
{
    var htmlData = "<tr class='entete'>\n";

    htmlData += "<td class='vide'>&nbsp;</td>\n";
    htmlData += "<td class='dossard'>Dos.</td>\n";
    htmlData += "<td class='identite'>Identit&eacute;</td>\n";
    htmlData += "<td class='sexe'>S</td>\n";
    htmlData += "<td class='categ'>Cat.</td>\n";
    htmlData += "<td class='nation'>Nat</td>\n";
    htmlData += "<td class='comite'>Cr</td>\n";
    htmlData += "<td class='club'>Club</td>\n";
    htmlData += "<td class='equipe'>E.S.F.</td>\n";
    
    if (modeParse == 'D')
    {
        htmlData += "<td class='inter1'></td>\n";
        htmlData += "<td class='ecart_inter1'></td>\n";
        htmlData += "<td class='inter2'></td>\n";
        htmlData += "<td class='ecart_inter2'></td>\n";
    
        htmlData += "<td class='tps1'>&nbsp;</td>\n";
        htmlData += "<td class='medaille1'>&nbsp;</td>\n";
        htmlData += "<td class='ecart1'>&nbsp;</td>\n";
        htmlData += "<td class='clt1'>&nbsp;</td>\n";
        htmlData += "<td class='cltc1'>&nbsp</td>\n";
        htmlData += "</tr>\n";
    
        return htmlData;
    }
    
    htmlData += "<td class='inter1'>Inter1</td>\n";
    htmlData += "<td class='ecart_inter1'></td>\n";
    htmlData += "<td class='inter2'>Inter2</td>\n";
    htmlData += "<td class='ecart_inter2'></td>\n";
    
    if (modeParse == 'E')
    {
		if(modeMobile == 1)
			htmlData += "<td class='tps1'>&nbsp;</td>\n";
		else
			htmlData += "<td class='tps1'>En course</td>\n";
        htmlData += "<td class='medaille1'>&nbsp;</td>\n";
        htmlData += "<td class='ecart1'>&nbsp;</td>\n";
        htmlData += "<td class='clt1'>&nbsp;</td>\n";
        htmlData += "<td class='cltc1'>&nbsp</td>\n";
        htmlData += "</tr>\n";
        
        return htmlData;
    }
        
    htmlData += "<td class='tps1'>Temps</td>\n";
    htmlData += "<td class='medaille1'>Medaille</td>\n";
    htmlData += "<td class='ecart1'>Ecart</td>\n";
    htmlData += "<td class='clt1'>Clt</td>\n";
    htmlData += "<td class='cltc1'>&nbsp</td>\n";
    htmlData += "</tr>\n";

    return htmlData;
}

function htmlRowDirectLabelManche2()
{
    var htmlData = "<tr class='entete'>\n";

    htmlData += "<td class='vide'>&nbsp;</td>\n";
    htmlData += "<td class='dossard'>Dos.</td>\n";
    htmlData += "<td class='identite'>Identit&eacute;</td>\n";
    htmlData += "<td class='sexe'>S</td>\n";
    htmlData += "<td class='categ'>Cat.</td>\n";
    htmlData += "<td class='nation'>Nat</td>\n";
    htmlData += "<td class='comite'>Cr</td>\n";
    htmlData += "<td class='club'>Club</td>\n";
    htmlData += "<td class='equipe'>Equipe</td>\n";
    
    htmlData += "<td class='tps1'>Tps.M1</td>\n";
    htmlData += "<td class='medaille1'>Medaille M1</td>\n";
    htmlData += "<td class='ecart1'>Ec.M1</td>\n";
    htmlData += "<td class='clt1'>Clt.M1</td>\n";
    htmlData += "<td class='cltc1'></td>\n";
    
    if (modeParse == 'D')
    {
        htmlData += "<td class='inter1'></td>\n";
        htmlData += "<td class='ecart_inter1'></td>\n";
        htmlData += "<td class='inter2'></td>\n";
        htmlData += "<td class='ecart_inter2'></td>\n";

        htmlData += "<td class='tps2'></td>\n";
        htmlData += "<td class='medaille2'></td>\n";
        htmlData += "<td class='ecart2'></td>\n";
        htmlData += "<td class='clt2'></td>\n";
        htmlData += "<td class='cltc2'></td>\n";

        htmlData += "<td class='tps'></td>\n";
        htmlData += "<td class='medaille'></td>\n";
        htmlData += "<td class='ecart'></td>\n";
        htmlData += "<td class='clt'></td>\n";
        htmlData += "<td class='cltc'></td>\n";
        
        return htmlData;
    }
    
    htmlData += "<td class='inter1'>Inter1</td>\n";
    htmlData += "<td class='ecart_inter1'></td>\n";
    htmlData += "<td class='inter2'>Inter2</td>\n";
    htmlData += "<td class='ecart_inter2'></td>\n";
    
    if (modeParse == 'E')
    {
		if(modeMobile == 1)
			htmlData += "<td class='tps2'>&nbsp;</td>\n";
		else
			htmlData += "<td class='tps2'>En course</td>\n";
        htmlData += "<td class='medaille2'></td>\n";
        htmlData += "<td class='ecart2'></td>\n";
        htmlData += "<td class='clt2'></td>\n";
        htmlData += "<td class='cltc2'></td>\n";

        htmlData += "<td class='tps'></td>\n";
        htmlData += "<td class='medaille'></td>\n";
        htmlData += "<td class='ecart'></td>\n";
        htmlData += "<td class='clt'></td>\n";
        htmlData += "<td class='cltc'></td>\n";
        
        return htmlData;
    }

    htmlData += "<td class='tps2'>Tps.M2</td>\n";
    htmlData += "<td class='medaille2'>Medaille M2</td>\n";
    htmlData += "<td class='ecart2'>Ec.M2</td>\n";
    htmlData += "<td class='clt2'>Clt.M2</td>\n";
    htmlData += "<td class='cltc2'></td>\n";

    htmlData += "<td class='tps'>Total</td>\n";
    htmlData += "<td class='medaille'>Medaille</td>\n";
    htmlData += "<td class='ecart'>Ecart</td>\n";
    htmlData += "<td class='clt'>Clt</td>\n";
    htmlData += "<td class='cltc'></td>\n";
    
    htmlData += "</tr>\n";

    return htmlData;
}

function htmlRowDirectManche2(rowData)
{
    //  9 = Tps1
    // 10 = Medaille1
    // 11 = Ecart1
    // 12 = Clt1
    // 13 = Cltc1
    // 14 = Inter1
    // 15 = EcartInter1
    // 16 = Inter2
    // 17 = EcartInter2
    // 18 = Tps2 (ou Temps tournant)
    // 19 = Medaille2
    // 20 = Ecart2
    // 21 = Clt2
    // 22 = Cltc2
    // 23 = Tps 
    // 24 = Medaille
    // 25 = Ecart
    // 26 = Clt
    // 27 = Cltc
    
    var htmlData = '';
    
    htmlData += "<td class='tps1"+cssSurbrillance+"'>"+getFieldDirect(rowData, 9)+"</td>\n";
    htmlData += "<td class='medaille1"+cssSurbrillance+"'>"+getFieldDirect(rowData, 10)+"</td>\n";
    htmlData += "<td class='ecart1"+cssSurbrillance+"'>"+getFieldDirect(rowData, 11)+"</td>\n";
    htmlData += "<td class='clt1"+cssSurbrillance+"'>"+getFieldDirect(rowData, 12)+"</td>\n";
    htmlData += "<td class='cltc1"+cssSurbrillance+"'>"+getFieldDirect(rowData, 13)+"</td>\n";

    htmlData += "<td class='inter1"+cssSurbrillance+"'>"+getFieldDirect(rowData, 14)+"</td>\n";
    htmlData += "<td class='ecart_inter1"+cssSurbrillance+"'>"+getFieldDirect(rowData, 15)+"</td>\n";
    htmlData += "<td class='inter2"+cssSurbrillance+"'>"+getFieldDirect(rowData, 16)+"</td>\n";
    htmlData += "<td class='ecart_inter2"+cssSurbrillance+"'>"+getFieldDirect(rowData, 17)+"</td>\n";
    
    htmlData += "<td class='tps2"+cssSurbrillance+"'>"+getFieldDirect(rowData, 18)+"</td>\n";
    htmlData += "<td class='medaille2"+cssSurbrillance+"'>"+getFieldDirect(rowData, 19)+"</td>\n";
    htmlData += "<td class='ecart2"+cssSurbrillance+"'>"+getFieldDirect(rowData, 20)+"</td>\n";
    htmlData += "<td class='clt2"+cssSurbrillance+"'>"+getFieldDirect(rowData, 21)+"</td>\n";
    htmlData += "<td class='cltc2"+cssSurbrillance+"'>"+getFieldDirect(rowData, 22)+"</td>\n";

    htmlData += "<td class='tps"+cssSurbrillance+"'>"+getFieldDirect(rowData, 23)+"</td>\n";
    htmlData += "<td class='medaille"+cssSurbrillance+"'>"+getFieldDirect(rowData, 24)+"</td>\n";
    htmlData += "<td class='ecart"+cssSurbrillance+"'>"+getFieldDirect(rowData, 25)+"</td>\n";
    htmlData += "<td class='clt"+cssSurbrillance+"'>"+getFieldDirect(rowData, 26)+"</td>\n";
    htmlData += "<td class='cltc"+cssSurbrillance+"'>"+getFieldDirect(rowData, 27)+"</td>\n";
    
    return htmlData;
}

function htmlRowDirectCoureur(rowData)
{
    var htmlData = '';

    if ((rowParse%2) == 0)
        htmlData += "<tr class='paire'>\n";
    else
        htmlData += "<tr class='impaire'>\n";
    
    htmlData += htmlRowDirectCommun(rowData);
    
    var activeManche = getActiveManche();
    if (activeManche == 1)
        htmlData += htmlRowDirectManche1(rowData);
    else
        htmlData += htmlRowDirectManche2(rowData);
     
    ++rowParse;
    htmlData += "</tr>\n";
    
    return htmlData;
}

function htmlRowDirectDepart(rowData)
{
    var htmlRow = '';
    
    if (modeParse != 'D')
    {
        htmlRow += "<table class='depart' cellpadding=0 cellspacing=0>\n";
        modeParse = 'D';
        rowParse = 0;
        htmlRow += htmlRowDirectLabel();
    }
    
    htmlRow += htmlRowDirectCoureur(rowData);
    return htmlRow;
}

function htmlRowDirectEnCourse(rowData)
{
    var htmlRow = '';
    
    if (modeParse != 'E')
    {
        htmlRow += "</table>\n"; // Fermeture table depart ...
        htmlRow += "<table class='encourse' cellpadding=0 cellspacing=0>";
        modeParse = 'E';
        rowParse = 0;
        htmlRow += htmlRowDirectLabel();
		firstDosEnCourse = -1;	
		if(lastDosEnCourse != -1)
			cssSurbrillance = cssSurbrillanceHot;
    }

    htmlRow += htmlRowDirectCoureur(rowData);
    return htmlRow;
}

function htmlRowDirectArrivee(rowData)
{
    var htmlRow = '';
    
    if (modeParse != 'A')
    {
        htmlRow += "</table>\n"; // Fermeture table en course ...
        htmlRow += "<table class='arrivee' cellpadding=0 cellspacing=0>";
        modeParse = 'A';
        rowParse = 0;
        htmlRow += htmlRowDirectLabel();
		firstDosArrivee = -1;		
		if(lastDosArrivee != -1)
			cssSurbrillance = cssSurbrillanceHot;
    }
    
    htmlRow += htmlRowDirectCoureur(rowData);
    return htmlRow;
}

//    
// Classement
//

function onChangeOrderClassement(order)
{
    orderClassementManche = order;
    envoiRequeteClassement();
}

function envoiRequeteClassement()
{
    if (orderClassementManche == -1)
        orderClassementManche = getActiveManche();
        
    if (orderClassementManche == 1)
    	information = 'cache/classement.'+codeCourse+'.cache.html';
    else
    	information = 'cache/classement.'+codeCourse+'.'+orderClassementManche+'.cache.html';
    
	createXMLHttRequest();
	
	if (xmlhttp)
	{
		xmlhttp.onreadystatechange = receptionReponseClassement;
		xmlhttp.open("POST",information,true);
		xmlhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");  
		xmlhttp.send("");
	}
}

function receptionReponseClassement()
{
	// if xmlhttp shows "loaded"
	if (xmlhttp.readyState==4)
	{
		// if "OK"
		if (xmlhttp.status==200)
		{
			// traitement des informations renvoyes par le serveur
			var rc = xmlhttp.responseText.lastIndexOf("@@END@@");
			if (rc!=-1)
			{
				strContenu = xmlhttp.responseText.substring(0,rc);
				if(modeMobile == 1)
				{
					strContenu = strContenu.replace("<table class='classement'>",'<div class="resultscontent"><table width="100%" cellspacing="1" class="result"><tr class="tableheadresult ui-li-divider ui-bar-a">');
					strContenu = strContenu.replace("<tr class='entete'>",'');
					strContenu = strContenu.replace("</table>","</table></div>");
				}
			
				document.getElementById("ajax_classement").innerHTML = strContenu;
			}
		} 
		envoiRequeteEdition();
	}
}
//	  
// Liste Depart
//

function envoiRequeteListeDepart()
{
	information = 'cache/liste_depart.'+codeCourse+'.cache.html';
	
	createXMLHttRequest();
	
	if (xmlhttp)
	{
		xmlhttp.onreadystatechange = receptionReponseListeDepart;
		xmlhttp.open("POST",information,true);
		xmlhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");  
		xmlhttp.send("");
	}
}

function receptionReponseListeDepart()
{
	// if xmlhttp shows "loaded"
	if (xmlhttp.readyState==4)
	{
		// if "OK"
		if (xmlhttp.status==200)
		{
			// traitement des informations renvoyes par le serveur
			var rc = xmlhttp.responseText.lastIndexOf("@@END@@");
			if (rc!=-1)
			{
				strContenu = xmlhttp.responseText.substring(0,rc);
				if(modeMobile == 1)
				{
					strContenu = strContenu.replace("<table class='listedepart'>",'<div class="resultscontent"><table width="100%" cellspacing="1" class="result"><tr class="tableheadresult ui-li-divider ui-bar-a">');
					strContenu = strContenu.replace("<tr class='entete'>",'');
					strContenu = strContenu.replace("</table>","</table></div>");
				}
			
				document.getElementById("ajax_listedepart").innerHTML = strContenu;
			}
		} 
		envoiRequeteEdition();
	}
}

//
// Edition (bas de page)
//

function envoiRequeteEdition()
{
	information = 'edition.php';
	
	createXMLHttRequest();

	if (xmlhttp)
	{
		xmlhttp.onreadystatechange = receptionReponseEdition;
		xmlhttp.open("POST",information,true);
		xmlhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");  
		xmlhttp.send("");
	}
}

function receptionReponseEdition()
{
	// if xmlhttp shows "loaded"
	if (xmlhttp.readyState==4)
	{
		// if "OK"
		if (xmlhttp.status==200)
		{
			strContenu = xmlhttp.responseText;
			// traitement des informations renvoyes par le serveur
			if(modeMobile == 1)
			{
				strContenu = strContenu.replace("par ",'par<br>');
				strContenu = strContenu.replace(", rafrai",',<br>rafrai');
			}
			
			document.getElementById("ajax_edition").innerHTML = strContenu;
    		
    		document.getElementById("nb_secondes_restantes").innerHTML = timerDirectSec/1000;
        	document.getElementById("pluriel_secondes_restantes").innerHTML = "s";
			setTimeout("MajCompteur()",1000);
    		
			setTimeout("GestionCourse()",timerSec);
		} 
		else 
		{
			alert("Problem retrieving data:" + xmlhttp.statusText);
		}
	}
}


