--
-- Structure de la table `directski_course`
--

CREATE TABLE IF NOT EXISTS `directski_course` (
  `Code_course` int(11) NOT NULL DEFAULT '0',
  `Libelle` varchar(255) NOT NULL,
  `Date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `IdOrganisation` int(11) NOT NULL DEFAULT '0',
  `Organisateur` varchar(45) DEFAULT NULL,
  `Type_course` varchar(10) DEFAULT NULL,
  `Discipline` varchar(8) DEFAULT NULL,
  `Ouvreur_Identite` varchar(50) DEFAULT NULL,
  `Ouvreur_Temps` varchar(8) DEFAULT NULL,
  `Ouvreur_Handicap` varchar(8) DEFAULT NULL,
  `Ouvreur_Base` varchar(8) DEFAULT NULL,
  `Msg` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`Code_course`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Structure de la table `directski_resultat`
--

CREATE TABLE IF NOT EXISTS `directski_resultat` (
  `Code_course` int(11) NOT NULL DEFAULT '0',
  `Dossard` int(11) NOT NULL DEFAULT '0',
  `Ordre` int(11) DEFAULT NULL,
  `Identite` char(60) DEFAULT NULL,
  `Sexe` char(1) DEFAULT NULL,
  `Categ` char(20) DEFAULT NULL,
  `Nation` char(3) DEFAULT NULL,
  `Comite` char(3) DEFAULT NULL,
  `Club` char(30) DEFAULT NULL,
  `Equipe` char(30) DEFAULT NULL,
  `Niveau` char(30) DEFAULT NULL,
  `Point` char(8) DEFAULT NULL,
  `Etat` char(1) DEFAULT NULL,
  `Heure_depart` char(8) NOT NULL DEFAULT '00:00:00',
  `Rang1` int(11) DEFAULT NULL,
  `Tps1` int(11) DEFAULT NULL,
  `Tps1_info` char(10) DEFAULT NULL,
  `Medaille1` varchar(30) DEFAULT NULL,
  `Ecart1` char(10) DEFAULT NULL,
  `Clt1` int(11) DEFAULT NULL,
  `Clt1_etat` tinyint(4) DEFAULT NULL,
  `Cltc1` int(11) DEFAULT NULL,
  `Rang2` int(11) DEFAULT NULL,
  `Tps2` int(11) DEFAULT NULL,
  `Tps2_info` char(10) DEFAULT NULL,
  `Medaille2` varchar(30) DEFAULT NULL,
  `Ecart2` char(10) DEFAULT NULL,
  `Clt2` int(11) DEFAULT NULL,
  `Clt2_etat` tinyint(4) DEFAULT NULL,
  `Cltc2` int(11) DEFAULT NULL,
  `Tps` int(11) DEFAULT NULL,
  `Tps_info` char(10) DEFAULT NULL,
  `Medaille` varchar(30) DEFAULT NULL,
  `Ecart` char(10) DEFAULT NULL,
  `Clt` int(11) DEFAULT NULL,
  `Clt_etat` tinyint(4) DEFAULT NULL,
  `Cltc` int(11) DEFAULT NULL,
  `Tps_inter1` int(11) DEFAULT NULL,
  `Tps_inter1_info` char(10) DEFAULT NULL,
  `Ecart_inter1` char(10) DEFAULT NULL,
  `Clt_inter1` int(11) DEFAULT NULL,
  `Tps_inter2` int(11) DEFAULT NULL,
  `Tps_inter2_info` char(10) DEFAULT NULL,
  `Ecart_inter2` char(10) DEFAULT NULL,
  `Clt_inter2` int(11) DEFAULT NULL,
  PRIMARY KEY (`Code_course`,`Dossard`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


