// Variables Globales 
var timerClassementSec = 10000;	// Timer en millisecondes pour le rafraichissement du "Classement" 

var codeCourse = 0;					// Code de la Course
var timerSec = 6000;				// Timer en millisecondes pour le rafraichissement de la Page 
var modeGestion = 0;				// 0 => Onglet Direct, 1 => Onglet Classement , 2 => Onglet Liste de Dpart
var modeParse;                      // 'M' = Message, 'D' = Depart, 'E' = En Course, 'A' = Arrivee
var rowParse;                       
var xmlhttp = null; 

var lastDosEnCourse = -1;
var lastDosArrivee = -1;

var firstDosEnCourse = -1;
var firstDosArrivee = -1;

var cssSurbrillance;
var cssSurbrillanceHot = " hot ";
var orderClassementManche = -1;

var modeMobile = 0;

function AfficheEtat(msgStr) 
{ 
  window.status = msgStr;
}

function EffaceEtat() 
{
	window.status = "";
}

function getActiveManche()
{
    var manche = parseInt(codeCourse/100000) % 10;
    
    switch(manche)
    {
        case 0:
        case 1:
        return 1;
        
        case 2:
        return 2;
        
        default:
        break;
    }
    
    return 9;
}
function ChargerClassement(code)
{ 		   
	codeCourse = code;		
	modeGestion = 1;		  
	timerSec = timerClassementSec;

	GestionCourse();
}	
					 
function MajCompteur()
{ 
	document.getElementById("nb_secondes_restantes").innerHTML = document.getElementById("nb_secondes_restantes").innerHTML - 1;
	if(document.getElementById("nb_secondes_restantes").innerHTML > 1)
        setTimeout("MajCompteur()",1000);
    else
    	document.getElementById("pluriel_secondes_restantes").innerHTML = "&nbsp;";
}

function GestionCourse()
{ 
	switch(modeGestion)
	{
		case 1:
		envoiRequeteClassement();
		break;

        default:
        break;		
	}
}

function createXMLHttRequest()
{
	if (window.XMLHttpRequest) 
	{
		xmlhttp = new XMLHttpRequest();
		return;
	}
	
	if (window.ActiveXObject) 
	{
		// code spcifique  Internet Explorer (ActiveXObject)
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		return;
	}
}

//    
// Classement
//

function envoiRequeteClassement()
{
    if (orderClassementManche == -1)
        orderClassementManche = getActiveManche();
        
    if (orderClassementManche == 1)
    	information = 'cache/classement.'+codeCourse+'.cache.html';
    else
    	information = 'cache/classement.'+codeCourse+'.'+orderClassementManche+'.cache.html';
    
	createXMLHttRequest();
	
	if (xmlhttp)
	{
		xmlhttp.onreadystatechange = receptionReponseClassement;
		xmlhttp.open("POST",information,true);
		xmlhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");  
		xmlhttp.send("");
	}
}

function receptionReponseClassement()
{
	// if xmlhttp shows "loaded"
	if (xmlhttp.readyState==4)
	{
		// if "OK"
		if (xmlhttp.status==200)
		{
			// traitement des informations renvoyes par le serveur
			var rc = xmlhttp.responseText.lastIndexOf("@@END@@");
			if (rc!=-1)
			{
				strContenu = xmlhttp.responseText.substring(0,rc);
				if(modeMobile == 1)
				{
					strContenu = strContenu.replace("<table class='classement'>",'<div class="resultscontent"><table width="100%" cellspacing="1" class="result"><tr class="tableheadresult ui-li-divider ui-bar-a">');
					strContenu = strContenu.replace("<tr class='entete'>",'');
					strContenu = strContenu.replace("</table>","</table></div>");
				}
			
				document.getElementById("ajax_classement").innerHTML = strContenu;
			}
		} 
		envoiRequeteEdition();
	}
}

//	  
// Liste Depart
//

function envoiRequeteListeDepart()
{
	information = 'cache/liste_depart.'+codeCourse+'.cache.html';
	
	createXMLHttRequest();
	
	if (xmlhttp)
	{
		xmlhttp.onreadystatechange = receptionReponseListeDepart;
		xmlhttp.open("POST",information,true);
		xmlhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");  
		xmlhttp.send("");
	}
}

function receptionReponseListeDepart()
{
	// if xmlhttp shows "loaded"
	if (xmlhttp.readyState==4)
	{
		// if "OK"
		if (xmlhttp.status==200)
		{
			// traitement des informations renvoyes par le serveur
			var rc = xmlhttp.responseText.lastIndexOf("@@END@@");
			if (rc!=-1)
			{
				strContenu = xmlhttp.responseText.substring(0,rc);
				if(modeMobile == 1)
				{
					strContenu = strContenu.replace("<table class='listedepart'>",'<div class="resultscontent"><table width="100%" cellspacing="1" class="result"><tr class="tableheadresult ui-li-divider ui-bar-a">');
					strContenu = strContenu.replace("<tr class='entete'>",'');
					strContenu = strContenu.replace("</table>","</table></div>");
				}
			
				document.getElementById("ajax_listedepart").innerHTML = strContenu;
			}
		} 
		envoiRequeteEdition();
	}
}

//
// Edition (bas de page)
//

function envoiRequeteEdition()
{
	information = 'edition.php';
	
	createXMLHttRequest();

	if (xmlhttp)
	{
		xmlhttp.onreadystatechange = receptionReponseEdition;
		xmlhttp.open("POST",information,true);
		xmlhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");  
		xmlhttp.send("");
	}
}

function receptionReponseEdition()
{
	// if xmlhttp shows "loaded"
	if (xmlhttp.readyState==4)
	{
		// if "OK"
		if (xmlhttp.status==200)
		{
			strContenu = xmlhttp.responseText;
			document.getElementById("ajax_edition").innerHTML = strContenu;
    		
    		document.getElementById("nb_secondes_restantes").innerHTML = timerSec/1000;
        	document.getElementById("pluriel_secondes_restantes").innerHTML = "s";
			setTimeout("MajCompteur()",1000);
    		
			setTimeout("GestionCourse()",timerSec);
		} 
		else 
		{
			alert("Problem retrieving data:" + xmlhttp.statusText);
		}
	}
}


